# Reference data

### What is this endpoint for?

This endpoint retrieves a list of our Single-Asset Rates. You can learn more about Kaiko Rates and Indices [here](https://www.kaiko.com/indices/benchmarks).

### Endpoint

```
https://us.market-api.kaiko.io/v2/data/index_reference_data.v1/rates
```

### Request parameters

No parameters supported

### Response Fields

| Field            | Description                                                                               |
| ---------------- | ----------------------------------------------------------------------------------------- |
| `ticker`         | The ticker of the rate.                                                                   |
| `long_name`      | Extensive name format of the rate issued                                                  |
| `short_name`     | Short name format of the rate issued                                                      |
| `type`           | Category to which the rate belongs . i.e . `Reference Rate` or `Benchmark Reference Rate` |
| `dissemination`  | Frequency of publication of the rate                                                      |
| `quote`          | Long and short name of the quote asset                                                    |
| `base`           | Long and short name of the base asset                                                     |
| `pair`           | Asset pair represented by the rate.                                                       |
| `launch_date`    | Date when the rate was launched and entered into production.                              |
| `inception_date` | Earliest effective date of historical data for a rate.                                    |
| `brand`          | Qualifies if the rate is issued from a partnership or from Kaiko standard offer.          |
| `isin`           | The ISIN code of the rate                                                                 |
| `exposition`     | `"Public"` : Indicates that it is open reference data accessible to all users.            |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://us.market-api.kaiko.io/v2/data/index_reference_data.v1/rates'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json

{'query': {'data_version': 'v1', 'commodity': 'indices', 'request_time': ''},
 'time': '2024-10-28T09:11:18.832Z',
 'timestamp': 1730106678832,
 'data': [{'ticker': 'KK_RFR_KNCUSD_SGP',
   'long_name': 'Kaiko KNC Reference_Rate Daily Fixing SGP',
   'short_name': 'Kaiko KNC Reference_Rate SGP',
   'type': 'Reference_Rate',
   'dissemination': 'Daily Fixing SGP',
   'quote': {'short_name': 'usd', 'long_name': 'United States Dollar'},
   'base': {'short_name': 'knc', 'long_name': 'Kyber Network'},
   'pair': 'knc-usd',
   'launch_date': '2024-03-04T00:00:00Z',
   'inception_date': '2024-03-04T00:00:00Z',
   'brand': 'Kaiko',
   'isin': 'NA',
   'exposition': 'Public'},
  ...],
 'result': 'success'}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/kaiko-indices/reference-rates/reference-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
